Last Comment Bug 244381 - Add Firefox 0.9 Compatible Extensions/Themes to Mozilla Update
: Add Firefox 0.9 Compatible Extensions/Themes to Mozilla Update
Status: VERIFIED FIXED
File separate bugs for anything else.
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Public Pages (show other bugs)
: unspecified
: All All
: P1 major
: ---
Assigned To: alanjstr
: mozilla.update
:
Mentors:
: 247007 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 14:01 PDT by Wolf [:wolf]
Modified: 2016-02-04 14:51 PST (History)
19 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
NeedleSearch Toolbar version 2.5 (107.40 KB, text/plain)
2004-07-26 03:41 PDT, Eelco van Kuik
no flags Details

Description Wolf [:wolf] 2004-05-22 14:01:33 PDT
For the launch of the Mozilla Update site, all the updated and compatible
extensions for Firefox 0.9 need to be listed, this is a tracking bug for keeping
up with what extensions and themes have been updated.
Extension and Theme Developers are invited to comment on this bug with info
about updated extensions and themes that work with Firefox 0.9.

When you comment to inform me of a Firefox 0.9 compatible extension/theme,
please provide the following:
Author Name / E-Mail where you can be reached (for your Mozilla Update account)
   If there's more than one author/e-mail, you can include more than one.
Extension's name /Version
Description
Homepage URL
URL to the updated XPI
For Extensions that include compiled code, what OS it's intended for. (MacOSX,
Linux, Windows, etc)
Target Application Versions (from the extension install manifest)
    Let me explain that last one, since it's a bit confusing and new, the
Firefox install.rdf manifest requires a Minimum Version and Maximum Version your
extension works with, all extensions being submitted for Firefox should have a
Max Version of 0.9, the Minimum Version is whatever the lowest version your
extension works with. They can be the same.  Also, if you're XPI works with
Mozilla Suite or Mozilla Thunderbird in addition to Firefox, specify that, along
with the Minimum/Maximum version for that application.
Comment 1 Wolf [:wolf] 2004-05-22 14:05:29 PDT
Related to MozillaZine Forum Post:
http://forums.mozillazine.org/viewtopic.php?p=541078#541078
Comment 2 alanjstr 2004-05-22 14:35:43 PDT
David P. James and Alan Starr
http://downloads.mozdev.org/themes/firefox/pinball-fx_0.8.1.jar

  <Description about="urn:mozilla:install-manifest">
    <em:id>{fb0cbf5b-695b-4322-8b49-5dedbfb946fc}</em:id>
    <em:version>0.8.1</em:version>
    
    <!-- Target Application this extension can install into, 
         with minimum and maximum supported versions. --> 
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.8</em:minVersion>
        <em:maxVersion>0.9</em:maxVersion>
      </Description>
    </em:targetApplication>
    
    <!-- Front End MetaData -->
    <em:name>Pinball</em:name>
    <em:description>A simple theme that goes well with any color
scheme</em:description>
    <em:creator>David James</em:creator>
    <em:contributor>Alan Starr</em:contributor>
    <em:contributor>Johannes Schellen</em:contributor>
    <em:homepageURL>http://david.jamesnet.ca/firefox/pinball.html</em:homepageURL>
Comment 3 Patrick Thompson 2004-05-22 17:54:51 PDT
Patrick Thompson (aka Sailfish)

Two items: an extension and a theme

Inspector Widget Extension
--------------------------
http://skypilot.projectit.com/extensions/inspectorwidget.xpi

  <Description about="urn:mozilla:install-manifest">
    <em:id>{c671b520-abe9-11d8-8ebc-000c6e787bf7}</em:id>
    <em:version>1.1</em:version>
    
    <!-- Target Application this extension can install into, 
        with minimum and maximum supported versions. --> 
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.7</em:minVersion>
        <em:maxVersion>1.2</em:maxVersion>
      </Description>
    </em:targetApplication>
    
    <!-- Front End MetaData -->
    <em:name>inspectorwidget</em:name>
    <em:description>Adds widgets and a button to the toolbar palette for DOMi (Build: 20040522)</em:description>
    <em:creator>Patrick Thompson</em:creator>
    <em:contributor>Joe Hewitt (MozEngineer)</em:contributor>
    <em:contributor>Gilles Durys (inspectthis)</em:contributor>
    <em:homepageURL>http://www.projectit.com/</em:homepageURL>
    <!-- em:updateURL>http://www.bengoodger.com/software/mb/umo/update.rdf</em:updateURL -->

    <!-- Front End Integration Hooks (used by Extension Manager)-->
    <!-- em:optionsURL>chrome://inspectorwidget/content/options.xul</em:optionsURL -->
    <!-- em:aboutURL>chrome://inspectorwidget/content/options.xul</em:aboutURL -->
    <em:iconURL>chrome://inspectorwidget/skin/inspect.png</em:iconURL>


Sky Pilot Classic Theme
-----------------------
http://skypilot.projectit.com/skypilotf08t05.jar

    <!-- Provide Sky Pilot Classic Firefox/Thunderbird theme GUID -->

    <em:id>{a9a7ff40-a7dd-11d8-8ebc-000c6e787bf7}</em:id>

    <!-- Provide theme version -->

    <em:version>0.1+</em:version>
    
    <!-- Target Application this extension can install into, 
         with minimum and maximum supported versions. --> 

    <!-- Firebird/Firefox  -->

    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.8+</em:minVersion>
        <em:maxVersion>0.9</em:maxVersion>
      </Description>
    </em:targetApplication>

    <!-- Thunderbird ** TBD **

    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.5</em:minVersion>
        <em:maxVersion>0.6+</em:maxVersion>
      </Description>
    </em:targetApplication>

    -->
    
    <!-- Front End MetaData -->

    <!-- Provide theme:
           Name, description, creator, contributor, homepage
    -->

    <em:name>Sky Pilot Classic</em:name>
    <em:description>Because every navigator needs a pilot. This is version f08t05 for Firefox 0.8 and Thunderbird 0.5+ (Build: 20040522)</em:description>
    <em:creator>Kevin Cunningham - aka kang</em:creator>
    <em:contributor>Patrick Thompson - aka sailfish</em:contributor>
    <em:homepageURL>http://skypilot.projectit.com/</em:homepageURL>
Comment 4 Neil Parks 2004-05-24 20:22:26 PDT
(In reply to comment #2)
> David P. James and Alan Starr
> http://downloads.mozdev.org/themes/firefox/pinball-fx_0.8.1.jar

This .jar does not work with official MAy 24 branch build.

Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.7) Gecko/20040524 Firefox/0.8.0+
Comment 5 alanjstr 2004-05-25 05:37:51 PDT
(In reply to comment #4)
> > http://downloads.mozdev.org/themes/firefox/pinball-fx_0.8.1.jar
> This .jar does not work with official MAy 24 branch build.

WFM Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040523
Firefox/0.8.0+ (MOOX-AV)
Comment 6 aaron spuler 2004-05-25 13:55:15 PDT
Aaron Spuler  <aaronspuler@myrealbox.com>


Apollo
Based on Mattahan's GANT icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/apollo/apollo_fx_09.jar
Windows, Linux
0.8-0.9

Apollo
Based on Mattahan's GANT icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/apollo/mac_apollo_fx_09.jar
MacOSX
0.8-0.9

===============================

Atlas
Based on Everaldo's Kids icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/atlas/atlas_fx_09.jar
Windows, Linux
0.8-0.9

Atlas
Based on Everaldo's Kids icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/atlas/mac_atlas_fx_09.jar
MacOSX
0.8-0.9

==============================

iCandy Junior
Based on FOOOD's iCandy Junior icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/icandyjr/icandyjr_fx_09.jar
Windows, Linux
0.8-0.9

iCandy Junior
Based on FOOOD's iCandy Junior icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/icandyjr/mac_icandyjr_fx_09.jar
MacOSX
0.8-0.9

==============================

Neptune
Based on Mattahan's Umicons icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/neptune/neptune_fx_09.jar
Windows, Linux
0.8-0.9

Neptune
Based on Mattahan's Umicons icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/neptune/mac_neptune_fx_09.jar
MacOSX
0.8-0.9

==============================

Playground
Based on Miloszwl's Mantzy icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/playground/playground_fx_09.jar
Windows, Linux
0.8-0.9

Playground
Based on Miloszwl's Mantzy icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/playground/mac_playground_fx_09.jar
MacOSX
0.8-0.9

==============================

Smoke
Based on Florian Freundt's Orbital icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/smoke/smoke_fx_09.jar
Windows, Linux
0.8-0.9

Smoke
Based on Florian Freundt's Orbital icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/smoke/mac_smoke_fx_09.jar
MacOSX
0.8-0.9
Comment 7 aaron spuler 2004-05-25 14:18:42 PDT
Just in case anyone's interested, here are my Thunderbird themes updated for the
new API as well:

Aaron Spuler  <aaronspuler@myrealbox.com>


Apollo
Based on Mattahan's GANT icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/apollo/apollo_tb_7.jar
Windows, Linux
0.8-0.9

Apollo
Based on Mattahan's GANT icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/apollo/mac_apollo_tb_7.jar
MacOSX
0.8-0.9

===============================

Atlas
Based on Everaldo's Kids icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/atlas/atlas_tb_7.jar
Windows, Linux
0.8-0.9

Atlas
Based on Everaldo's Kids icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/atlas/mac_atlas_tb_7.jar
MacOSX
0.8-0.9

==============================

iCandy Junior
Based on FOOOD's iCandy Junior icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/icandyjr/icandyjr_tb_7.jar
Windows, Linux
0.8-0.9

iCandy Junior
Based on FOOOD's iCandy Junior icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/icandyjr/mac_icandyjr_tb_7.jar
MacOSX
0.8-0.9

==============================

Neptune
Based on Mattahan's Umicons icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/neptune/neptune_tb_7.jar
Windows, Linux
0.8-0.9

Neptune
Based on Mattahan's Umicons icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/neptune/mac_neptune_tb_7.jar
MacOSX
0.8-0.9

==============================

Playground
Based on Miloszwl's Mantzy icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/playground/playground_tb_7.jar
Windows, Linux
0.8-0.9

Playground
Based on Miloszwl's Mantzy icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/playground/mac_playground_tb_7.jar
MacOSX
0.8-0.9

==============================

Smoke
Based on Florian Freundt's Orbital icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/smoke/smoke_tb_7.jar
Windows, Linux
0.8-0.9

Smoke
Based on Florian Freundt's Orbital icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/smoke/mac_smoke_tb_7.jar
MacOSX
0.8-0.9
Comment 8 Jed Brown 2004-05-25 17:34:22 PDT
Author Name: Jed Brown  
mozilla [[at]] jedbrown ((dot)) net

Extension's name /Version: QuickNote 0.5.9

Description: A note taking extension with advanced features

Homepage URL: http://quicknote.mozdev.org/

URL to the updated XPI:
http://jedbrown.net/dev/Mozilla/quicknote_dev_0_5_X_ff0.9.xpi

OS: ALL

Target Application Versions:
Firefox 0.7 -> 0.9
Comment 9 CatThief 2004-05-26 14:34:36 PDT
Firefox:

Mostly Crystal
Mostly Crystal is a theme for Mozilla Firefox "mostly" from the Crystal (for Linux) icon set designed by Everaldo (www.everaldo.com) and includes icons in their original form plus custom-edited composites of the originals.  A matching theme is available for Thunderbird.
http://www.tom-cat.com/mozilla
http://www.catthief.com/mozilla/firefox/mostlycrystal_ff_8.jar
Windows, Linux
0.8-0.9

Mostly Crystal
Mostly Crystal is a theme for Mozilla Firefox "mostly" from the Crystal (for Linux) icon set designed by Everaldo (www.everaldo.com) and includes icons in their original form plus custom-edited composites of the originals.  A matching theme is available for Thunderbird.
http://www.tom-cat.com/mozilla
http://www.catthief.com/mozilla/firefox/mac_mostlycrystal_ff_8.jar
Mac OS X
0.8-0.9

= = = = = = = = = = = = = = = = = = = = = = = = = =
Thunderbird:

Mostly Crystal
Mostly Crystal is a theme for Mozilla Thunderbird "mostly" from the Crystal (for Linux) icon set designed by Everaldo (www.everaldo.com) and includes icons in their original form plus custom-edited composites of the originals.  A matching theme is available for Firefox.
http://www.tom-cat.com/mozilla
http://www.catthief.com/mozilla/thunderbird/mostlycrystal_tb_5.jar
Windows, Linux
0.5-0.7

Mostly Crystal
Mostly Crystal is a theme for Mozilla Thunderbird "mostly" from the Crystal (for Linux) icon set designed by Everaldo (www.everaldo.com) and includes icons in their original form plus custom-edited composites of the originals.  A matching theme is available for Firefox.
http://www.tom-cat.com/mozilla
http://www.catthief.com/mozilla/thunderbird/mac_mostlycrystal_tb_5.jar
Mac OS X
0.5-0.7
Comment 10 CatThief 2004-05-26 14:40:18 PDT
I forgot to include the following for Mostly Crystal:

Author's name: CatThief
Comment 11 Wolf [:wolf] 2004-05-27 13:21:43 PDT
http://forums.mozillazine.org/viewtopic.php?p=548286#548286

Please add cuneAform...

Author Name: Robin Monks
Email: mozillaman@linuxmail.org
Extension's name: cuneAform
Version: 0.2.7
Description: A WYSIWYG (X)HTML editor for Mozilla/FireFox the aims to provide
full support for standards such as XHTML and CSS.
Homepage URL: cuneaform.mozdev.org
URL to the updated XPI: http://downloads.mozdev.org/cuneaform/cuneAform.xpi
Target Application Versions: FireFox: 0.6 - current (nightly) ; Mozilla 1.5 -
current (1.8a)
Comment 12 Eric Hamiter 2004-05-27 21:24:06 PDT
Author Name: Eric Hamiter
E-mail: ehamiter@gmail.com
Extension's name:BugMeNot
Version: 0.1
Description: Allows you to bypass compulsory web registration (i.e. NY Times)
with the context menu via www.bugmenot.com.
Homepage URL: http://extensions.roachfiend.com
XPI URL: http://extensions.roachfiend.com/bugmenot.xpi
Target Application Versions:
<em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
<em:minVersion>0.7</em:minVersion>
<em:maxVersion>0.9</em:maxVersion> 
Comment 13 Alfred Kayser 2004-06-02 00:56:03 PDT
First of my themes to support the new Theme Manager:

Author Name: Alfred Kayser (alfredkayser@nl.ibm.com)
Theme name/version: Nautilus/0.9
Description: Nautilus 0.9, based on icons from art.gnome.org
Homepage URL: http://www.geocities.com/AlfredKayser/mozilla/themes.htm
URL to the updated JAR:
http://www.geocities.com/AlfredKayser/mozilla/nautilus_09.jar

(Note: name will change to Nautipolis real soon now)
Comment 14 Alfred Kayser 2004-06-02 00:57:38 PDT
Regarding the discussion on licensing, may be it is good 
to let the authors/submitters explicitely name the license(s) 
valid for the submitted material?
Comment 15 Martin Rademacher 2004-06-03 01:56:09 PDT
  <Description about="urn:mozilla:install-manifest">
		<em:id>{7b846591-5bd0-4a5b-840e-c9edeb76bfce}</em:id>
		<em:version>0.4.1</em:version>
    
    <!-- Target Application(s) this extension can install into, 
        with minimum and maximum supported versions. --> 
    <em:targetApplication>
      <Description>
				<!-- firefox -->
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.7</em:minVersion>
        <em:maxVersion>0.9</em:maxVersion>
      </Description>
    </em:targetApplication>
    
    <!-- Front End MetaData -->
		<em:name>eurekster toolbar</em:name>
    <em:description>Toolbar for eurekster search engine.</em:description>
		<em:creator>Martin Rademacher</em:creator>
	
<em:homepageURL>http://www.radebatz.net/mano/mozilla/extensions/eurekster</em:homepageURL>
		<!--<em:updateURL></em:updateURL>-->

    <!-- Front End Integration Hooks (used by Extension Manager) -->
   
<em:optionsURL>chrome://eurekster/content/prefs/eureksterPrefsDialog.xul</em:optionsURL>
    <em:aboutURL>chrome://eurekster/content/eureksterAboutDialog.xul</em:aboutURL>
		<!--<em:iconURL></em:iconURL>-->
    
    <!-- Packages, Skins and Locales that this extension registers -->
    <em:file>
      <Description about="urn:mozilla:extension:file:eurekster.jar">
        <em:package>content/eurekster/</em:package>
        <em:locale>locale/en-US/eurekster/</em:locale>
        <em:skin>skin/classic/eurekster/</em:skin>
      </Description>
    </em:file>
  </Description>      
</RDF>
Comment 16 Henrik Gemal 2004-06-03 21:27:07 PDT
Name: Launchy
Version: 2.6.0
Install: http://downloads.mozdev.org/launchy/launchy-260.xpi
OS: All
Homepage: http://gemal.dk/mozilla/launchy.html
Author: Henrik Gemal
Target: Mozilla 1.0 ->, Firefox 0.7 ->, Thunderbird 0.6 ->
Comment 17 Kongkeat Kuatrakool 2004-06-05 12:27:14 PDT
::::: Firefox Theme :::::

Noia 2.0 eXtreme (Version 2.63)
This is a fully skinned version. This theme is based on the Noia2.0 icon set by
Carlitus.
http://kasteo.deviantart.com/
http://files.deviantart.com/f/2004/157/a/6/Noia2_full.jar
Windows, Linux, MacOSX
0.8+,0.9

Noia 2.0 Lite (Version 2.63)
This is a lite version(icon only). This theme is based on the Noia2.0 icon set
by Carlitus.
http://kasteo.deviantart.com/
http://files.deviantart.com/f/2004/157/f/6/Noia2_lite.jar
Windows, Linux
0.8+,0.9
Comment 18 Kongkeat Kuatrakool 2004-06-05 14:55:52 PDT
(In reply to comment #17)

<<<<< The correct URL >>>>>

Noia 2.0 eXtreme (Version 2.63)
This is a fully skinned version. This theme is based on the Noia2.0 icon set by
Carlitus.
http://kasteo.deviantart.com/
http://files.deviantart.com/f/2004/157/5/2/Noia2_full.jar
Windows, Linux, MacOSX
0.8+,0.9

Noia 2.0 Lite (Version 2.63)
This is a lite version(icon only). This theme is based on the Noia2.0 icon set
by Carlitus.
http://kasteo.deviantart.com/
http://files.deviantart.com/f/2004/157/d/7/Noia2_lite.jar 
Windows, Linux
0.8+,0.9
Comment 19 Chris Pederick 2004-06-07 10:32:06 PDT
Author Name: Chris Pederick
E-mail: webdeveloper@chrispederick.com
Extension Name: Web Developer
Version: 0.8
Description: Adds a menu and a toolbar with various web developer tools.
Homepage URL: http://www.chrispederick.com/work/firefox/webdeveloper/
XPI URL: http://downloads.mozdev.org/webdeveloper/webdeveloper.xpi
Target Application Versions: Firefox 0.9
Comment 20 Chris Pederick 2004-06-07 10:33:10 PDT
Author Name: Chris Pederick
E-mail: useragentswitcher@chrispederick.com
Extension Name: User Agent Switcher
Version: 0.4
Description: Adds a menu to switch the user agent of the browser.
Homepage URL: http://www.chrispederick.com/work/firefox/useragentswitcher/
XPI URL: http://downloads.mozdev.org/useragentswitcher/useragentswitcher.xpi
Target Application Versions: Firefox 0.9
Comment 21 Michael O. 2004-06-07 21:22:48 PDT
Extension Name: Firesomething
Version: 1.5.1
Description: All your branding are belong to Firesomething.
Homepage URL: http://www.cosmicat.com/extensions/firesomething/
XPI URL: http://www.cosmicat.com/extensions/firesomething/firesomething.xpi
Target Application Versions: Firefox 0.8+ to 0.9+
Author: Cosmic Cat Creations
E-mail: momokatte@hotmail.com

Extension Name: Titlebar Tweaks
Version: 1.5.1
Description: Tweak your browser's titlebar text.
Homepage URL: http://www.cosmicat.com/extensions/titletweak/
XPI URL: http://www.cosmicat.com/extensions/titletweak/titletweak.xpi
Target Application Versions: Firefox 0.8+ to 0.9+
Author: Cosmic Cat Creations
E-mail: momokatte@hotmail.com

Extension Name: Statusbar Clock
Version: 1.5
Description: Display the date and time in your browser's status bar.
Homepage URL: http://www.cosmicat.com/extensions/timestatus/
XPI URL: http://www.cosmicat.com/extensions/timestatus/timestatus.xpi
Target Application Versions: Firefox 0.8+ to 0.9+
Author: Cosmic Cat Creations
E-mail: momokatte@hotmail.com

Extension Name: JavaScript Console Status
Version: 1.5
Description: Display a statusbar icon for webpage JavaScript errors.
Homepage URL: http://www.cosmicat.com/extensions/scriptstatus/
XPI URL: http://www.cosmicat.com/extensions/scriptstatus/scriptstatus.xpi
Target Application Versions: Firefox 0.8+ to 0.9+
Author: Cosmic Cat Creations
E-mail: momokatte@hotmail.com

Extension Name: Browser Uptime
Version: 1.5
Description: Track the length of your browser session.
Homepage URL: http://www.cosmicat.com/extensions/uptime/
XPI URL: http://www.cosmicat.com/extensions/uptime/uptime.xpi
Target Application Versions: Firefox 0.8+ to 0.9+
Author: Cosmic Cat Creations
E-mail: momokatte@hotmail.com

Extension Name: TextZoom
Version: 1.5
Description: Override the default text-zoom level.
Homepage URL: http://www.cosmicat.com/extensions/textzoom/
XPI URL: http://www.cosmicat.com/extensions/textzoom/textzoom.xpi
Target Application Versions: Firefox 0.8+ to 0.9+
Author: Cosmic Cat Creations
E-mail: momokatte@hotmail.com

Extension Name: SuperScroll
Version: 1.5.1
Description: Override the default keyscroll and mousewheel settings.
Homepage URL: http://www.cosmicat.com/extensions/superscroll/
XPI URL: http://www.cosmicat.com/extensions/superscroll/superscroll.xpi
Target Application Versions: Firefox 0.8+ to 0.9+
Author: Cosmic Cat Creations
E-mail: momokatte@hotmail.com

Extension Name: Find in this Selectbox...
Version: 1.5
Description: Search the text in webpage selectboxes.
Homepage URL: http://www.cosmicat.com/extensions/findinselect/
XPI URL: http://www.cosmicat.com/extensions/findinselect/findinselect.xpi
Target Application Versions: Firefox 0.8+ to 0.9+
Author: Cosmic Cat Creations
E-mail: momokatte@hotmail.com
Comment 22 lamekisser 2004-06-08 09:46:37 PDT
Name: LinkVisitor
Description: Marks links as visited or unvisited.
Author: Billy (lamekisser@yahoo.co.uk)
Version: 0.4
Install: http://downloads.mozdev.org/linkvisitor/linkvisitor-0.4.xpi
Homepage: http://linkvisitor.mozdev.org/
OS: All
Target: Mozilla 1.7 ->, Firefox 0.8+ -> (both with builds 20040210 and above)
Comment 23 Jens Bannmann 2004-06-08 13:55:39 PDT
Extension name: Mouse Gestures
Description:    Allows you to execute common commands using mouse gestures.
Version:        0.9.20040608
Author:         The Optimoz Team [Jens Bannmann, jens.b at web.de]
Homepage:       http://optimoz.mozdev.org/gestures/
XPI URL:        http://download.mozdev.org/optimoz/nightly/mozgest_20040608.xpi
Platforms:      All
Target Apps:    Firefox 0.8 - 0.9
                Thunderbird 0.6 - 0.7
                Mozilla 1.4 and above
Comment 24 Jens Bannmann 2004-06-08 14:01:58 PDT
Note: the mozgest-20040608.xpi file has not been picked up by all mozdev
mirrors. It should be distributed in a few hours. Just use
http://ftp.scarlet.be/pub/mozdev/optimoz/nightly/mozgest_20040608.xpi until then.
Comment 25 David Naylor 2004-06-09 12:35:34 PDT
Two themes:

Author (of both): David Naylor
e-mail: d.naylor@swipnet.se
homepage: http://home.student.uu.se/dana3949/doodle/

::::::::  1.  ::::::::
name: Doodle (Plastik Style)
version: 1.5.3
preview image:
http://home.student.uu.se/dana3949/doodle/preview-plastik-small.png
FF target version: 0.9
Size: 638 kB

Location(win/linux version):
http://home.student.uu.se/dana3949/doodle/doodle-plastik.jar

Location(MacOSX version):
http://home.student.uu.se/dana3949/doodle/doodle-plastik-mac.jar

Description:
"Doodle is a childish and colourful theme for Firefox, with support for
Toolbar Enhancements, Webdeveloper, QuickNote, QuickPrefs, and built-in
cutemenu icons incuding icons for Copy Image to Clipboard, QuickNote and
Adblock.

This version is based on Plastikfox Crystal SVG, with a
KDE Plastik-inspired look."


:::::::  2.  :::::::
name: Doodle (Classic Style)
version: 1.5.3
preview image:
http://home.student.uu.se/dana3949/doodle/preview-classic-small.png
FF target version: 0.9
Size: 599 kB

Location(win/linux version):
http://home.student.uu.se/dana3949/doodle/doodle-classic.jar

Location(MacOSX version):
http://home.student.uu.se/dana3949/doodle/doodle-classic-mac.jar

Description:
"Doodle is a childish and colourful theme for Firefox, with support for
Toolbar Enhancements, Webdeveloper, QuickNote, QuickPrefs, and built-in
cutemenu icons incuding icons for Copy Image to Clipboard, QuickNote and
Adblock.

This version has the original Doodle look, fitting better into pre-XP
versions of Windows."
Comment 26 David Naylor 2004-06-09 12:38:20 PDT
Sorry. The above post should say "Four themes:"

(Plastik win/linux, Plastik OSX, Classic win/linux & Classic OSX)
Comment 27 Laeb 2004-06-10 09:42:23 PDT
Author Name: Ons Besbes
E-Mail: laebcontact@hotmail.com
Extension Name: easyGestures
Version: 2.7.2
Description: Mouse gestures within a popup pie menu.
Homepage URL: http://easygestures.mozdev.org/
Updated URL: http://easygestures.mozdev.org/update.rdf
OS: all
Target Application: firefox 0.8+ and above only
Comment 28 Marcus Campbell 2004-06-10 12:42:16 PDT
Just a couple of themes...

Marcus Campbell
maucaus@hotmail.com

Nautical
0.3.3
Based on icons from the Gnome project - art.gnome.org
http://www.deviantart.com/deviation/4462239/
http://files.deviantart.com/f/2004/161/6/e/nautical_0_3_3.jar
0.8-0.9

Lure
0.4.3
Bright circular buttons.
http://www.deviantart.com/deviation/4462374/
http://files.deviantart.com/f/2004/162/1/9/lure_0_4_3.jar
0.8-0.9
Comment 29 Marcus Campbell 2004-06-10 13:02:01 PDT
Ack, sorry, the file for Lure should be:
http://files.deviantart.com/f/2004/162/d/8/lure_0_4_3.jar
Comment 30 James Ross 2004-06-10 17:50:01 PDT
ChatZilla 0.9.64a. install.rdf contains all the details.
http://www.hacksrus.com/~ginda/chatzilla/xpi/chatzilla-0.9.64a.xpi
Comment 31 John Woods 2004-06-10 19:57:10 PDT
googlebar@mozdev.org

  <Description about="urn:mozilla:install-manifest">

      <em:id>{6b6601f1-361e-4b9f-bb6d-f8305000e4f6}</em:id>
      <em:name>googlebar</em:name>
      <em:version>0.9.0.16</em:version>
      <em:description>The Googlebar for Firefox</em:description>
      <em:creator>The Googlebar Developers</em:creator>
      <em:contributor>The Googlebar Developers are:</em:contributor>
      <em:contributor>Andy Edmonds project owner</em:contributor>
      <em:contributor>Andy Boughton - developer</em:contributor>
      <em:contributor>Andrew Houghton - developer</em:contributor>
      <em:contributor>John Woods - developer</em:contributor>
      <em:contributor>Bernd Kuemmerlen - developer</em:contributor>
      <em:contributor>Robert Mulcahy - developer</em:contributor>
      <em:contributor>Robert Fernandes - developer</em:contributor>
      <em:contributor>Franki Cheung - developer</em:contributor>
      <em:homepageURL>http://googlebar.mozdev.org/</em:homepageURL>
      
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.8</em:minVersion>
        <em:maxVersion>0.9</em:maxVersion>
      </Description>
    </em:targetApplication>
  </Description>
Comment 32 Jens Bannmann 2004-06-11 11:35:48 PDT
Extension name: Paste and Go
Description:    Lets you paste an URL from the clipboard and directly load it.
Version:        0.3.1
Author:         Jens Bannmann [jens.b at web.de]
                If possible, this account should be distinct from
                "The Optimoz Team" (for Mouse Gestures, see comment 23).

Homepage:       http://tecwizards.de/mozilla/
XPI URL:        http://tecwizards.de/mozilla/pasteandgo_0_3_1.xpi
Platforms:      All
Target Apps:    Firefox 0.8 - 0.9
                Mozilla 1.4 and above
Comment 33 Mauro Bartoccelli 2004-06-11 16:17:11 PDT
Silver Skin theme by Mauro Bartoccelli

URL to the updated JAR:
http://www.maurobartoccelli.com/silverskin/Silverskin_2.0_(Firefox_0.9).jar

Intended for Windows OS


<Description about="urn:mozilla:install-manifest">
    <em:id>{E7DA5260-BAC8-11D8-8C49-444553540001}</em:id>
    <em:version>2.0</em:version>

    <!-- Target Application this extension can install into,
         with minimum and maximum supported versions. -->
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.8+</em:minVersion>
        <em:maxVersion>0.9</em:maxVersion>
      </Description>
    </em:targetApplication>

    <!-- Front End MetaData -->
    <em:name>Silver Skin</em:name>
    <em:description>Silver Skin 2.0 - Your favourite browser with a silver skin
(With the Qute icons by Arvid Axelsson)</em:description>
    <em:creator>Mauro Bartoccelli</em:creator>
    <em:homepageURL>http://www.maurobartoccelli.com/</em:homepageURL>

    <!-- Front End Integration Hooks (used by Theme Manager)-->
    <em:internalName>Silverskin_2.0_(Firefox_0.9)</em:internalName>
  </Description>
Comment 34 Mauro Bartoccelli 2004-06-12 02:15:37 PDT
(In reply to comment #33)

>Silver Skin theme by Mauro Bartoccelli

URL to screenshot: http://www.maurobartoccelli.com/silverskin/silverskin2.0.png
Comment 35 Evan Eveland 2004-06-12 06:07:14 PDT
Author Name: Evan Eveland  

Extension name: deskCut 0.4

Description: This extension adds desktop shortcut creation to the context-menu.
Both Windows and Linux (KDE/GNOME) desktop shortcuts are supported. 

Homepage URL: http://deskcut.mozdev.org/

URL to the updated XPI:
http://downloads.mozdev.org/deskcut/deskcut.xpi

OS: Linux/Windows

Target Application Versions: 
Firefox: 0.7 -> 0.9
Mozilla: 1.4 -> 1.6
Comment 36 Jens Tinz 2004-06-13 00:27:31 PDT
The RadialContext extension has been converted:

Author Name:
 Jens Tinz
E-Mail: 
 jens [[at]] gamemakers ((dot)) de
Extension's name:
 RadialContext
Version: 
 2004.06.12
Description:
 Replaces the standard context menu with a radial one.
Homepage URL:
 http://www.radialthinking.de/radialcontext/
URL to the updated XPI:
 http://www.radialthinking.de/radialcontext/RadialContext_firefox.xpi
OS:
 ALL
Target Application Versions:
 Firefox 0.9 -> 0.9
Comment 37 hashao 2004-06-13 01:38:51 PDT
2 extensions. Thanks.

============== 1. Tong Wen Tang ===========
Author:           hashao, hashao2 at myrealbox com
Extension name:   &#21516;&#25991;&#22530; (Tong Wen Tang)
Version:          0.2.0
Description:      Switch Chinese page between simplified Chinese and traditional
Chinese
Homepage URL:     http://tongwen.mozdev.org
updated XPI:      http://downloads.mozdev.org/tongwen/tongwen_0.2.0.xpi
Target Versions:  firefox 0.8 - firefox 0.9, mozilla 1.7 and up.

============= 2. Tong Wen Tang transstring accl.===============
Author:           hashao, hashao2 at myrealbox com
Extension Name:   &#21516;&#25991;&#22530;&#21152;&#36895;&#22120; (Tong Wen
Tang transstring accl.)

Version:          0.2.0
Description:      Turbo string transformation and transformation by phrase.
Homepage URL:     http://tongwen.mozdev.org
Updated XPI:     
http://downloads.mozdev.org/tongwen/transstring-i386-pc-linux_0.2.0.xpi

Platform:         Linux i386 PC
Target Versions:  firefox 0.8 - 0.9 , mozilla 1.7 and up.
Comment 38 Jaap A. Haitsma 2004-06-13 06:59:49 PDT
Author Name: Jaap Haitsma
jaap at haitsma dot org

Extension's name /Version: DictionarySearch 0.6

Description: Easy way to lookup words in a webpage or email in an online dictionary

Homepage URL: http://dictionarysearch.mozdev.org/

URL to the updated XPI:
http://downloads.mozdev.org/dictionarysearch/dictionarysearch_latest.xpi
(NOTE I just updated that file it might take a couple of hours until it shows up
on all the mirrors, in the mean time you can use
http://downloads.mozdev.org/dictionarysearch/dictionarysearch_0.6.xpi)


OS: ALL

Target Application Versions:
Firefox 0.6 -> 0.9
Thunderbird 0.5 -> 0.6
Mozilla 1.4 and up

Comment 39 Erwan Loisant 2004-06-13 08:32:59 PDT
Author: Erwan LOISANT (erwan at loisant dot org)
Extension: Moji 0.7
Description: Moji is a Mozilla Firebird extension which helps you learn
Japanese. It embeds a Kanji dictionary and a word dictionary, and provides
translations into English, French, and German. Don't forget to install jslib
(http://jslib.mozdev.org) and visit Moji's homepage to install data
(dictionaries) packages.
Homepage URL: http://moji.mozdev.org
URL to XPI: http://downloads.mozdev.org/moji/moji-0.7.xpi
Target: Firefox 0.7 to 0.9
Comment 40 Mauro Bartoccelli 2004-06-13 16:03:54 PDT
Silver Skin 2.1 theme by Mauro Bartoccelli (with default Winstripe icons)

URL to JAR file:
http://www.maurobartoccelli.com/silverskin/Silverskin_2.1_Default_theme.jar

URL to screenshot: http://www.maurobartoccelli.com/silverskin/silverskin2.1.png

Intended for Windows OS


<Description about="urn:mozilla:install-manifest">
    <em:id>{0E26F6E0-BC80-11D8-8C49-444553540001}</em:id>
    <em:version>2.1</em:version>

    <!-- Target Application this extension can install into,
         with minimum and maximum supported versions. -->
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.8+</em:minVersion>
        <em:maxVersion>0.9</em:maxVersion>
      </Description>
    </em:targetApplication>

    <!-- Front End MetaData -->
    <em:name>Silver Skin DEfault Theme</em:name>
    <em:description>Silver Skin 2.1 - Your favourite browser with a silver
skin</em:description>
    <em:creator>Mauro Bartoccelli</em:creator>
    <em:homepageURL>http://www.maurobartoccelli.com/</em:homepageURL>

    <!-- Front End Integration Hooks (used by Theme Manager)-->
    <em:internalName>Silverskin_2.1_Default_theme</em:internalName>
  </Description>
Comment 41 aaron spuler 2004-06-14 06:42:45 PDT
Basics
Adds a new tab button to the left side of the tab bar (like in Mozilla / Netscape).
http://www.cs.txstate.edu/~as1130/themes/extensions/basics.xpi

Single Window Mode
Single window mode functionality for Mozilla and Firefox.
http://www.cs.txstate.edu/~as1130/themes/extensions/singlewindow.xpi
Comment 42 Gustavo Araujo Bittencourt 2004-06-14 06:50:15 PDT
Name: DownloadWith
Version: 0.0.7
Description: DownloadWith is Mozilla/Firefox extension to download files with
external programs.
Install: http://downloads.mozdev.org/downloadwith/downloadwith-0.0.7.xpi
OS: All
Homepage: http://downloadwith.mozdev.com/
Author: Gustavo A. Bittencourt - g [dot] bitten [at] bol [dot] com [dot] br
Author: Josh Keisling - paradox5555 [at] hotmail [dot] com
Firefox 0.7 and up
Mozilla 1.4 and up
Comment 43 Jason Chu 2004-06-14 11:22:34 PDT
Author Name: chuonthis
E-mail: chuonthis@hotmail.com
Extension Name: OpenBook
Version: 1.0
Description: Automatically opens the bookmarks tree in the Add Bookmark dialog.
Homepage URL: http://www.chuonthis.com/extensions/
XPI URL: http://www.chuonthis.com/extensions/fb/openbook.xpi
Target Application Versions: Firefox 0.8+, 0.9
Comment 44 Wolf [:wolf] 2004-06-14 16:20:13 PDT
All of the above listed extensions/themes have been reviewed and are either in
the database if they passed approval, or aren't if they failed. :-) At this
point anything going into the Update DB for it's launch is pretty much final. 

I'm going to leave this bug open for now in case there's anything I missed or
there's a problem that needs fixing once you all see the database data. (and
yes, if you're still needing to get your extension/theme reviewed/approved for
listing for 0.9 comment here, just don't expect it up by launch.)

Thanks for the support. :-)
Comment 45 dy0 2004-06-14 18:07:05 PDT
I missed the launch.  :(

Author Name: Dan Yamaoka
E-mail: dy0@myrealbox.com
Extension Name: CookieCuller
Version: 1.02
Description: Extended Cookie Manager with selectable protection of cookies.
Homepage URL: http://cookieculler.mozdev.org
XPI URL: http://downloads.mozdev.org/cookieculler/cookieculler1.02.xpi
Target Application Versions: Firefox 0.8-0.9, Mozilla 1.6-1.7
Comment 46 Teune van Steeg 2004-06-14 20:11:25 PDT
Extension Name: Close Tab On Double Click
Version: 0.1
Description: This extension adds doubleclick functionality to tabs. When a tab
is doubleclicked, that tab will close.
Homepage URL: http://www.twannos-extensions.tk/
XPI URL:
http://home.planet.nl/~meest321/firefoxextensions/extensions/close-tab-on-dblclick-0.1.xpi
Target Application Versions: Firefox 0.8+ to 0.9
Author: Twanno
E-mail: twanno@lycos.nl

Extension Name: Duplicate Tab
Version: 0.1
Description: This extension allows the duplication of a tab along with it's
history, derived from Pike's Clone Window. The function is accessible from the
context menu of the tab.
Homepage URL: http://www.twannos-extensions.tk/
XPI URL:
http://home.planet.nl/~meest321/firefoxextensions/extensions/duplicatetab-0.1.xpi
Target Application Versions: Firefox 0.8+ to 0.9
Author: Twanno
E-mail: twanno@lycos.nl
Comment 47 Jed Brown 2004-06-14 23:16:26 PDT
QuickNote 0.5.9.1
Same info as above, new URL and version
http://jedbrown.net/dev/Mozilla/quicknote_0_5_9_1.xpi
Comment 48 aaron spuler 2004-06-15 05:35:14 PDT
Due to a server crash, the links I provided in an earlier post are no longer
vaild.  Here are current, working links for all six of my Firefox 0.9 compatible
themes:

Aaron Spuler  <aaronspuler@myrealbox.com>


Apollo
Based on Mattahan's GANT icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/apollo/apollo_fb_8.jar
Windows, Linux
0.8-0.9

Apollo
Based on Mattahan's GANT icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/apollo/mac_apollo_fb_8.jar
MacOSX
0.8-0.9

===============================

Atlas
Based on Everaldo's Kids icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/atlas/atlas_fb_8.jar
Windows, Linux
0.8-0.9

Atlas
Based on Everaldo's Kids icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/atlas/mac_atlas_fb_8.jar
MacOSX
0.8-0.9

==============================

iCandy Junior
Based on FOOOD's iCandy Junior icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/icandyjr/icandyjr_fb_8.jar
Windows, Linux
0.8-0.9

iCandy Junior
Based on FOOOD's iCandy Junior icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/icandyjr/mac_icandyjr_fb_8.jar
MacOSX
0.8-0.9

==============================

Neptune
Based on Mattahan's Umicons icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/neptune/neptune_fb_8.jar
Windows, Linux
0.8-0.9

Neptune
Based on Mattahan's Umicons icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/neptune/mac_neptune_fb_8.jar
MacOSX
0.8-0.9

==============================

Playground
Based on Miloszwl's Mantzy icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/playground/playground_fb_8.jar
Windows, Linux
0.8-0.9

Playground
Based on Miloszwl's Mantzy icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/playground/mac_playground_fb_8.jar
MacOSX
0.8-0.9

==============================

Smoke
Based on Florian Freundt's Orbital icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/smoke/smoke_fb_8.jar
Windows, Linux
0.8-0.9

Smoke
Based on Florian Freundt's Orbital icons.
http://www.mozthemes.tk
http://www.cs.txstate.edu/~as1130/themes/smoke/mac_smoke_fb_8.jar
MacOSX
0.8-0.9
Comment 49 Erwan Loisant 2004-06-15 06:12:10 PDT
My extension (Moji) works but hasn't been listed. Maybe the reviewer forgot to:
1) Install jslib ?
2) Install a dictionary ?
I know, people usually just click on the xpi without installing dependencies
even when it is precised in the description...
Comment 50 Daniel Lindkvist 2004-06-15 06:18:25 PDT
Author Name: Daniel Lindkvist
E-mail: daniel at gorgias.de
Extension Name: Add Bookmark Here
Version: 0.5
Description: Adds an option to the bookmarks menu and/or the context menu for
bookmark folders that enables you to add a bookmark to that folder.
Homepage URL: http://gorgias.de/mfe/
XPI URL: http://gorgias.de/mfe/abhere.xpi
Target Application Versions: Firefox 0.8 - 0.9


Author Name: Daniel Lindkvist
E-mail: daniel at gorgias.de
Extension Name: Focus Last Selected Tab
Version: 0.6
Description: Brings focus to the last selected tab when closing the active tab.
Homepage URL: http://gorgias.de/mfe/
XPI URL: http://gorgias.de/mfe/flst.xpi
Target Application Versions: Firefox 0.8 - 0.9


Author Name: Daniel Lindkvist
E-mail: daniel at gorgias.de
Extension Name: Tabwarning
Version: 0.2
Description: A small extension that brings up a confirm-dialog when closing a
window with more than one tab.
Homepage URL: http://gorgias.de/mfe/
XPI URL: http://gorgias.de/mfe/tabwarning.xpi
Target Application Versions: Firefox 0.8 - 0.9


Author Name: Daniel Lindkvist
E-mail: daniel at gorgias.de
Extension Name: Permit Cookies
Version: 0.2
Description: Use a keyboard shortcut (alt+c) to enable cookies from the site you
are viewing.
Homepage URL: http://gorgias.de/mfe/
XPI URL: http://gorgias.de/mfe/pcookie.xpi
Target Application Versions: Firefox 0.8 - 0.9
Comment 51 Eric Hamiter 2004-06-15 08:30:54 PDT
Eric Hamiter / ehamiter@gmail.com
Allow Right-Click 0.1
Defeat web sites' right-click prevention scripts. This is not 100% effective on 
all web sites, such as ones that may use a body OnLoad method, but it will make 
web surfing just a little more hassle-free.
http://extensions.roachfiend.com/
http://extensions.roachfiend.com/allowrightclick.xpi
Firefox 0.7 - 0.9
Also compatibile with Netscape & Mozilla
Comment 52 Jeff Walden [:Waldo] (remove +bmo to email) 2004-06-15 09:15:08 PDT
(In reply to comment #51)
> Eric Hamiter / ehamiter@gmail.com
> Allow Right-Click 0.1
> Defeat web sites' right-click prevention scripts. This is not 100% effective on 
> all web sites, such as ones that may use a body OnLoad method, but it will make 
> web surfing just a little more hassle-free.

Side note:  view Tools>Options>Web Features>Advanced in Fx 0.9 and double-check
that your extension doesn't duplicate the functionality of the "Disable or
replace context menus" entry.  That one's new for Firefox 0.9, so if that's what
your extension does it's still useful for Firefox 0.7/0.8, Netscape, and the suite.
Comment 53 Chris Cook 2004-06-15 12:23:02 PDT
The "Tabbrowser Preferences" extension listed is not an official release and I
was never notified that it was being published. Please remove it.

I will let you know when my official version is released.
Comment 54 Laeb 2004-06-15 13:51:16 PDT
Here an update for easyGestures.

Please update the author name ! The one on the page is a nickname that i no
longer use. Please change the target application too !

Author Name: Ons Besbes
E-Mail: laebcontact@hotmail.com
Extension Name: easyGestures
Version: 2.8
Description: Mouse gestures within a popup pie menu.
Homepage URL: http://easygestures.mozdev.org/
Updated URL: http://easygestures.mozdev.org/update.rdf
OS: all
Target Application: firefox 0.9 and above only
Comment 55 Red_Fat_Lazy_Cat 2004-06-15 14:09:11 PDT
Author Name: Red_Fat_Lazy_Cat
E-Mail: redfatlazycat@bluecatsgraphics.com

Theme name: Curacao
Version: 1.0
Description: The exotic combination of blue and brown.
Homepage URL: http://www.bluecatsgraphics.com/
URL to the updated JAR: http://files.deviantart.com/f/2004/163/2/4/curacao1_0.jar
Target Application Versions: Firefox 0.8-0.9
Comment 56 Mauro Bartoccelli 2004-06-15 15:38:33 PDT
Hi there, Silver Skin theme is now working with Firefox 0.9 milestone.

Please, test :-)


Author name: Mauro Bartoccelli

Author website: http://www.maurobartoccelli.com/

URL to the JAR file:
http://www.maurobartoccelli.com/silverskin/Silverskin_2.0.jar

URL to screenshot: http://www.maurobartoccelli.com/silverskin/silverskin2.0.png

Intended for Windows OS


Description about="urn:mozilla:install-manifest">
    <em:id>{E7DA5260-BAC8-11D8-8C49-444553540001}</em:id>
    <em:version>2.0</em:version>

    <!-- Target Application this extension can install into,
         with minimum and maximum supported versions. -->
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.8</em:minVersion>
        <em:maxVersion>0.9</em:maxVersion>
      </Description>
    </em:targetApplication>

    <!-- Front End MetaData -->
    <em:name>Silver Skin</em:name>
    <em:description>Silver Skin 2.0 - Your favourite browser with a silver skin
(With the Qute icons by Arvid Axelsson)</em:description>
    <em:creator>Mauro Bartoccelli</em:creator>
    <em:homepageURL>http://www.maurobartoccelli.com/</em:homepageURL>

    <!-- Front End Integration Hooks (used by Theme Manager)-->
    <em:internalName>Silverskin_2.0</em:internalName>
  </Description>
Comment 57 Jeff Walden [:Waldo] (remove +bmo to email) 2004-06-15 15:45:11 PDT
Will this bug be closed eventually, or is it a perpetual bug?  I assume at some
point extension authors will either have a u.m.o interface for doing
maintenance/submitting updates for review or will be required to file bugs in
the mozilla.org>Update component.  Just trying to clear the air and determine
what I'll need to do when I get my extension fully updated...
Comment 58 alanjstr 2004-06-15 15:48:22 PDT
At the moment, we prefer people to keep filing bugs here.  Some day in the
future, people will be able to update the entries themselves.
Comment 59 Wolf [:wolf] 2004-06-15 16:10:28 PDT
This specific bug will be closed soon, in favor of individual bugs requesting
fixes until the administration part of update works. This bug is just for the
pre-launch and launch period.. :-)
Comment 60 Jeremiah Golden 2004-06-15 22:10:40 PDT
Scribe extension updated for firefox 0.9

Author Name: Jeremiah Golden
E-Mail: scribe@prismicspiral.com
Extension Name: Scribe
Version: 0.2
Description: Adds Word Processor like functionality to web forms, including
opening and saving form entries as files.
Homepage URL: http://www.prismicspiral.com/scribe/
Updated URL: http://www.prismicspiral.com/scribe/scribe.xpi
OS: all
Target Application: Firefox 0.8-0.9
Comment 61 alanjstr 2004-06-16 05:04:49 PDT
*** Bug 247007 has been marked as a duplicate of this bug. ***
Comment 62 hashao 2004-06-16 10:15:59 PDT
My package at #37 is not in the list and I was not contact by anyone. What's
going one? OK, my page was Chinese only and the extension is targeted to Chinese
pages. Still the information at #37 is quite informative.
Comment 63 hashao 2004-06-16 10:20:36 PDT
comment 37 is my package: tong wen tang 
Comment 64 Bernie Zimmermann 2004-06-16 11:47:52 PDT
Author:  Bernie Zimmermann
Email:  bernie [at] bernzilla [dot] com
Theme:  GrayModern v0.5
Description:  A port of the GrayModern theme from the Mozilla Suite.
Homepage URL:  http://www.bernzilla.com/
Jar Location:  http://www.finalstar.com/grayfox/graymodern0.5.jar
Target Versions:  v0.8 - v0.9
Comment 65 Alfred Kayser 2004-06-16 12:06:44 PDT
My themes which support the new Theme Manager are:

Author Name: Alfred Kayser (alfredkayser@nl.ibm.com)
Theme name/version: Nautipolis/0.9
Description: Nautilus for Mozilla FireBird, based on icons from art.gnome.org.
Overall, the theme of this skin is a more 'old-industrial' look, with bolder
buttons, toolbars, etc. This theme uses system colors, but not the system
appearance, it is brings it own special appearance.
Includes support for toolbarext, inspector, firebirdhelp, downloadstatusbar,
downloadmgr, quicknote, calendar and offline extensions.
Tested with Googlebar, EditCSS, MAB
Homepage URL: http://www.geocities.com/AlfredKayser/mozilla/firebird.htm
URL to the updated JAR:
http://www.geocities.com/AlfredKayser/mozilla/nautipolis_ff_09.jar

Author Name: Alfred Kayser (alfredkayser@nl.ibm.com)
Theme name/version: Walnut for Firefox/0.9
Description:  Walnut, based on NautiPolis (with icons from art.gnome.org) but
with a wooden look and feel. Includes support for toolbarext, inspector,
firebirdhelp, downloadstatusbar, downloadmgr, quicknote, calendar and offline
extensions. Tested with Googlebar, EditCSS, MAB.
Homepage URL: http://www.geocities.com/AlfredKayser/mozilla/firebird.htm
URL to the updated JAR:
http://www.geocities.com/AlfredKayser/mozilla/walnut_ff_09.jar
Comment 66 Red_Fat_Lazy_Cat 2004-06-16 15:31:25 PDT
Authors Name: Red_Fat_Lazy_Cat
E-Mail: redfatlazycat@bluecatsgraphics.com
Theme name: Red Cats (green flavor)
Version: 1.2

Description:
This theme is intended to be eye candy for all catlovers. Fully skinned,
including background, buttons and scrollbars. Turn you Firefox into Firecat! ;)
Made in collaboration with Pcdingo http://membres.lycos.fr/pcdingo/.

Homepage URL: http://www.bluecatsgraphics.com/
URL to the JAR: http://files.deviantart.com/f/2004/168/e/a/redcats1_2g.jar
 
Target Application Versions: Firefox 0.8-0.9

**********************

Do we need to provide links to theme screenshots? Anyway,just for the case:

URL to the Red Cats screenshot:
http://www.bluecatsgraphics.com/bcgfft/ffanim/redcats10g.gif

URL to the Curacao screenshot:
http://www.bluecatsgraphics.com/bcgfft/ffmisc/curacao.png  
Comment 67 alanjstr 2004-06-16 19:12:12 PDT
Alfred, your links hosted by Geocities do not work.  
Comment 68 CatThief 2004-06-16 21:17:50 PDT
I am requesting the removal of my theme from update.mozilla.org
Theme name:  Mostly Crystal

When I provided the information and links required to list the theme I was under
the impression that this file would be pulled directly off my own server, but I
see from the link at update.mozilla.org that the install trigger points to
http://ftp.mozilla.org/pub/mozilla.org/themes/ . I need direct access to this
file in order to include bug fixes, extension support, and enhancements, and the
file at update.mozilla.org is already out of date.

If you can remove the install/download link and keep the home page link that
would be fine, but if you cannot provide the home page link without the
install/download link then I need to have *everything* removed a.s.a.p.
Comment 69 CatThief 2004-06-16 21:34:24 PDT
Sorry, I forgot to mention my request applies to *all* Mostly Crystal themes:
  Firefox - Windows and Linux
  Firefox - Mac OS X
  Thunderbird - Windows and Linux
  Thunderbird - Mac OS X
Comment 70 Timothy Humphrey 2004-06-16 21:38:41 PDT
Author Name: Timothy Humphrey
E-Mail: timothy [at] humphrey [dot] name
Extension Name: LastTab
Version: 1.0.3
Description: Modifies CTRL-TAB to switch to recently selected tabs; CTRL-SHIFT-
TAB moves in the opposite direction.
Homepage URL: http://timothy.humphrey.name/firefox/
XPI URL: http://timothy.humphrey.name/firefox/downloads/lasttab_1_0_3.xpi
Target Application: Firefox 0.8 - 0.9
Comment 71 Wolf [:wolf] 2004-06-16 22:39:48 PDT
CatTheif: the only way is to remove it entirely, which will be done as soon as
possible.
Update is designed to allow you to maintain your theme from the site's
administration, once its online. So you'll be able to re-add the theme at that
time and be able to update the file as you need to. :-)
The file is hosted on moz.org's ftp mirror just for the benefits of the
available bandwidth of 7 mirrors. :-)
Comment 72 Henrik Gemal 2004-06-16 23:48:45 PDT
Name: Launchy
Version: 2.9.0
Install: http://downloads.mozdev.org/launchy/launchy-290.xpi
OS: All
Homepage: http://gemal.dk/mozilla/launchy.html
Author: Henrik Gemal
Target: Mozilla 1.0 ->, Firefox 0.7 ->, Thunderbird 0.6 ->
Comment 73 Víctor Fernández 2004-06-17 13:05:08 PDT
Author name: Víctor Fernández Martínez
E-Mail: vfernandez at polinux dot upv dot es
Theme name: Plastikfox Crystal SVG
Version: 1.1
Description: Plastikfox Crystal SVG is a theme for Firefox to make it have the
Plastik style from KDE with the Crystal SVG icon set..

Home page: http://www.polinux.upv.es/mozilla/
End-user package with HTML installer:
http://www.polinux.upv.es/mozilla/plastikfox/releases/crystalsvg/plastikfox-crystalsvg-1.1-20040610.tar.bz2
Jar file: http://www.polinux.upv.es/mozilla/plastikfox/jar/plastikfox.jar
 
Target application versions: Firebird 0.7, Firefox 0.8-0.9.
Comment 74 Laeb 2004-06-17 13:50:37 PDT
For easyGestures, a new update has been made on the site but not with the
content of my last message that introduced eG version 2.8. It seems like the
updates are out of synchro ... :)

So here is the right info again...

Author Name: Ons Besbes
E-Mail: laebcontact@hotmail.com
Extension Name: easyGestures
Version: 2.8
Description: Mouse gestures within a popup pie menu.
Homepage URL: http://easygestures.mozdev.org/
Updated URL: http://easygestures.mozdev.org/update.rdf
OS: all
Target Application: firefox 0.9 and above only

Thanks !
Comment 75 Red_Fat_Lazy_Cat 2004-06-17 14:51:03 PDT
What's going on with my themes? The two JARs seem to have completely been messed
up! I was surprised, to say the least, that comments on Curacao definitely
pertain to another theme of mine, Red Cats. I double-checked the download link i
provided for Curacao and it IS correct so please fix the mess and move the
comments as they mislead people. Also, why there are no previews for my themes?
Is something wrong with them?
Comment 76 Red_Fat_Lazy_Cat 2004-06-17 21:11:52 PDT
Another misunderstanding i'd like to clarify: 
The home page for the Red Cats theme should be http://www.bluecatsgraphics.com/
and *not* http://membres.lycos.fr/pcdingo/. This theme is a *common* work of me
(Red_Fat_Lazy_Cat) and Pcdingo and since we can't have 2 homepage URLs on
Mozilla Update (or can we?), we made an agreement that my site URL
(http://www.bluecatsgraphics.com/) will be listed as the theme home page on a
site we submit the theme to, whilst Pcdingo's site URL
(http://membres.lycos.fr/pcdingo/) appears on the theme About dialog. So please
correct this and add to the Red Cats description the line "Made in collaboration
with Pcdingo http://membres.lycos.fr/pcdingo/" or something like that. Thanks.
Comment 77 Isriya Paireepairit 2004-06-17 22:51:37 PDT
Isriya Paireepairit <markpeak @ gmail.com>
Lopburi Flat /0.2
Lopburi Flat for Mozilla Thunderbird
http://linux.thai.net/~markpeak
http://hpcnc.cpe.ku.ac.th/~b4405610/lopburi/lopburi.jar
Thunderbird 0.7
Comment 78 caio chassot 2004-06-18 00:29:55 PDT
Author Name/E-Mail: Caio Chassot
k --[at]-- v2studio --[dot]-- com
Extension's name/Version: BlankLast / 0.4
Description: Makes last tab blank when closing it, prevents tab bar from hiding.
Optionally modifies close commands behavior and tabbar context menu.
Homepage URL: http://v2studio.com/k/moz/
XPI URL: v2studio.com/k/moz/serve.asp?file=blanklast.xpi
Target Application Versions: Firefox 0.9

Author Name/E-Mail: Caio Chassot + dorando
k --[at]-- v2studio --[dot]-- com
Extension's name/Version: miniT (drag+indicator) / 0.2
Description: Adds tab dragging with drop place indicator.
Homepage URL: http://v2studio.com/k/moz/
XPI URL: v2studio.com/k/moz/serve.asp?file=minit.xpi
Target Application Versions: Firefox 0.9
Comment 79 Kongkeat Kuatrakool 2004-06-19 23:54:39 PDT
::::: Update Noia 2.0 Theme for Firefox :::::

*** Noia 2.0 eXtreme ***
- Version 2.65
- URL : http://files.deviantart.com/f/2004/171/f/d/Noia2_full.jar

*** Noia 2.0 lite ***
- Version 2.65
- URL : http://files.deviantart.com/f/2004/171/6/7/Noia2_lite.jar
Comment 80 Mauro Bartoccelli 2004-06-20 04:55:18 PDT
****** Updated Silver Skin theme by Mauro Bartoccelli ******

I've recently modified the jar file, please update it in the database.

URL to the updated JAR:
http://www.maurobartoccelli.com/silverskin/Silverskin_2.1.jar

URL to screenshot: http://www.maurobartoccelli.com/silverskin/silverskin2.1.png



<Description about="urn:mozilla:install-manifest">
    <em:id>{E7DA5260-BAC8-11D8-8C49-444553540001}</em:id>
    <em:version>2.0</em:version>

    <!-- Target Application this extension can install into,
         with minimum and maximum supported versions. -->
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.8</em:minVersion>
        <em:maxVersion>0.9.0+</em:maxVersion>
      </Description>
    </em:targetApplication>

    <!-- Front End MetaData -->
    <em:name>Silver Skin</em:name>
    <em:description>Silver Skin 2.1 - Your favourite browser with a silver skin
(With the Qute icons by Arvid Axelsson)</em:description>
    <em:creator>Mauro Bartoccelli</em:creator>
    <em:homepageURL>http://www.maurobartoccelli.com/</em:homepageURL>

    <!-- Front End Integration Hooks (used by Theme Manager)-->
    <em:internalName>Silverskin_2.1</em:internalName>
  </Description>
Comment 81 Rory Parle 2004-06-20 10:10:48 PDT
Author: Rory Parle / mozupdate@soylentred.net
Extension: Make Link v1.1
Description: Allows you to easily copy links in HTML or Forum Code to the clipboard.
Homepage URL: http://www.soylentred.net/projects/?project=makelink
URL to the updated XPI: http://www.netsoc.ucd.ie/~finuvir/makelink.xpi
Target Application: Firefox 0.9
Comment 82 Laeb 2004-06-20 16:18:29 PDT
Author Name: Ons Besbes
E-Mail: laebcontact@hotmail.com
Extension Name: easyGestures
Version: 2.9
Description: Mouse gestures within a popup pie menu.
Homepage URL: http://easygestures.mozdev.org/
Updated URL: http://easygestures.mozdev.org/update.rdf
OS: all
Target Application: firefox 0.9 and above only

Thanks !
Comment 83 Kongkeat Kuatrakool 2004-06-21 23:05:12 PDT
:::::::::: Update Noia 2.0 Theme for Firefox ::::::::::

*** Noia 2.0 eXtreme ***
- Version 2.66
- URL : http://files.deviantart.com/f/2004/173/d/d/Noia2_full.jar

*** Noia 2.0 lite ***
- Version 2.66
- URL : http://files.deviantart.com/f/2004/173/7/9/Noia2_lite.jar
Comment 84 Philip Mateescu 2004-06-21 23:41:32 PDT
Name: JumpLink
version: 1.1
Author: Philip Mateescu (xbiker@yahoo.com)

preview image:
http://jumplink.mozdev.org/img/menu.jpg

FF target version: 0.7-0.9
Size: 7 kB

Location:
http://downloads.mozdev.org/jumplink/jumplink-v1.1.xpi

Version: Mozilla Suite, Mozilla Firefox
Platforms: Windows, Linux
Description:
"The Jumplink extension allows you to skip through redirect links and jump
directly to the target link. This is especially useful within Hotmail messages
where all links are opened in a frame displaying at the top the useless "Close
this window to return to Hotmail".
When right-clicking on a link, the Jumplink extension will attempt to determine
if it is a redirect link and display three menu entries:

    * Jump Link - opens the link
    * Jump Link in New Tab - opens the link in a new Tab
    * Jump Link in New Window - opens the link in a new Window
"

Thank you!
Comment 85 Andy Lanzone 2004-06-22 08:09:13 PDT
Extension:   Download Manager Tweak
Version:     0.5.0
Author:      andman42
Email:       the_andman AT hotmail DOT com
Description: A modification of the Firefox download manager that improves its
appearance and allows it to be opened in a separate window, a new tab, or the
sidebar.
Homepage:    http://dmextension.mozdev.org/
XPI URL:     http://downloads.mozdev.org/dmextension/downloadmgr_050.xpi
Target App:  Firefox 0.9
Comment 86 Ken Schutte 2004-06-22 18:26:32 PDT
Extension:   Slogger
Version:     0.1.0
Author:      Ken Schutte
Email:       ken AT kenschutte DOT com
Description: Slogger can create a complete log of your browsing history. It can
save every page using the same options as the "Save Page As" command as well as
saving a customizable plain text history file. 
Homepage:    http://www.kenschutte.com/firefoxext/
XPI URL:     http://www.kenschutte.com/firefoxext/slogger010/slogger.xpi
Target App:  Firefox 0.9
Comment 87 Bernie Zimmermann 2004-06-23 00:04:07 PDT
*THEME UPDATE*

Author:  Bernie Zimmermann
Email:  mozilla [at] bernzilla [dot] com
Theme:  GrayModern v0.5.1
Description:  A port of the GrayModern theme from the Mozilla Suite.
Homepage URL:  http://www.bernzilla.com/
Jar Location:  http://www.finalstar.com/grayfox/graymodern0.5.1.jar
Target Versions:  v0.8 - v0.9+
Comment 88 Bernie Zimmermann 2004-06-23 00:19:41 PDT
*THEME UPDATE*

Oops, forgot the preview screenshot for GrayModern (sorry for the bugspam):

http://www.finalstar.com/grayfox/preview.png
Comment 89 yop 2004-06-23 04:02:15 PDT
http://enjoy.sytes.net/
Thunderbird 06-07 theme based on the NOIA2 for FX, also icons from the default
and crystal.
win32
http://enjoy.sytes.net/files/mozilla/tb/Noia2_TB_0.7_Yop_2004-06-13.jar

Firefox 09 theme based on the NOIA2 with some modifications.
win32
http://enjoy.sytes.net/files/mozilla/fx/Noia2_FX_0.9_Yop_2004-06-13.jar
Comment 90 Jawahar Swaminathan 2004-06-23 10:01:49 PDT
MSDbar 0.6 

Details in install.rdf file given below

   <Description about="urn:mozilla:install-manifest">
        <em:aboutURL>chrome://msdbar/content/about.xul</em:aboutURL>
        <em:creator>Jawahar Swaminathan</em:creator>
        <em:description>A tool for bioinformatics applications.</em:description>
        <em:homepageURL>http://msdbar.mozdev.org/</em:homepageURL>
        <em:iconURL>chrome://msdbar/content/img/MSDj2.png</em:iconURL>
        <em:id>{47df2a72-3f35-4336-a5e5-ede7558e7bd9}</em:id>
        <em:name>MSDbar</em:name>
        <em:version>0.6</em:version>
        <em:file>
            <Description about="urn:mozilla:extension:file:msdbar.jar">
                <em:locale>locale/en-US/msdbar/</em:locale>
                <em:package>content/msdbar/</em:package>
            </Description>
        </em:file>
        <em:targetApplication>
            <Description>
                <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
                <em:maxVersion>0.9</em:maxVersion>
                <em:minVersion>0.8</em:minVersion>
            </Description>
        </em:targetApplication>
    </Description>
Comment 91 morphis 2004-06-23 20:30:37 PDT
Author Name: morphis
E-Mail: kingli+mozilla AT gmail.com
Extension Name: Super Drag&Go
Version: 0.1.1

Description: similar to myIE2's "super drag and drop". It allows you:
1) Drag: a) link b) text-link (like http://www.google.com ) c) text-uri (like
abc.com ) d) picture, and throw it anywehere blank on your webpage and open it
on a new tab.
2) Drag a word or a phrase and throw it anywhere bland on your webpage to search
it on your default search engine. 
Homepage URL: http://s87609139.onlinehome.us/7001.html

OS: all
Target Application: firefox 0.9 and above only

Thanks !
Comment 92 Mauro Bartoccelli 2004-06-24 05:45:52 PDT
****** Updated Silver Skin theme for Firefox 0.8/0.9.1 ******

Hi there, I've modified the jar file, in order to work with the announced 0.9.1
version of Firefox. Please update it in the database.

URL to the updated JAR:
http://www.maurobartoccelli.com/silverskin/Silverskin_2.1.jar

URL to screenshot: http://www.maurobartoccelli.com/silverskin/silverskin2.1.png

Author homepage URL: http://www.maurobartoccelli.com/

Theme homepage URL: http://www.maurobartoccelli.com/silverskin/


Regards :-)
Comment 93 Teune van Steeg 2004-06-24 05:50:48 PDT
Updates:

Close Tab On Double Click
http://home.planet.nl/~meest321/firefoxextensions/extensions/close-tab-on-dblclick-0.1.1.xpi
Target Application Versions: Firefox 0.8+ to 0.9.1+

Duplicate Tab
http://home.planet.nl/~meest321/firefoxextensions/extensions/duplicatetab-0.2.xpi
Target Application Versions: Firefox 0.8+ to 0.9.1+
Comment 94 Pascal Guimier 2004-06-25 00:13:50 PDT
Pascal Guimier / talou@timot.net

EditCSS / 0.2.0
tylesheet modifier in the Sidebar.
http://editcss.mozdev.org
http://downloads.mozdev.org/editcss/editcss0.2.0.xpi

Target : Firefox 0.9 to 1.2
Comment 95 Pascal Guimier 2004-06-25 00:16:47 PDT
Pascal Guimier / talou@timot.net

WebPanel Enhancer / 0.1.5
Add a contextual items related to webpanels and other panel functions
http://editcss.mozdev.org/indexwpe.html
http://downloads.mozdev.org/editcss/wpe0.1.5.xpi

Target : Firefox 0.9 to 1.2
Comment 96 Bradley Chapman (not reading bugmail, still gone but not forever) 2004-06-25 05:54:08 PDT
(In reply to comment #95)

Bradley Chapman / kakadu@gmail.com

Open Java Console 0.3
Provides an easy way to open the Java Console in Firefox.
http://www.pryan.org/mozilla/site/TheOneKEA/extensions/
http://www.pryan.org/mozilla/site/TheOneKEA/extensions/javaconsole_03.xpi

Target: Firefox 0.8 to 0.9/0.9.0+
Comment 97 David Naylor 2004-06-26 01:57:12 PDT
I would just like to point out that the current preview image for Doodle Classic
is incorrect (The one currently at update.mozilla.org). The correct image is
linked to in comment #25.

Also, the description for Doodle Classic is a bit off. This, however is my
fault, I see now. I'll fix it and get back to you.
Comment 98 David Naylor 2004-06-26 05:06:17 PDT
Update and addition of my themes (four themes in total):


Author: David Naylor
e-mail: d.naylor@swipnet.se
homepage: http://home.student.uu.se/dana3949/doodle/

(PLEASE NOTE, there is one preview image for the two 'Classic' versions, and one
for the two 'Plastik' versions!!!)



::::::::  1.  ::::::::
name: Doodle (Plastik) for PC
version: 1.5.4
preview image:
http://home.student.uu.se/dana3949/doodle/preview-plastik-small.png
FF target version: 0.9
Size: 634 kB
Location: http://home.student.uu.se/dana3949/doodle/doodle-plastik.jar



::::::::  2.  ::::::::
name: Doodle (Plastik) for Mac OS X
version: 1.5.4
preview image:
http://home.student.uu.se/dana3949/doodle/preview-plastik-small.png

FF target version: 0.9
Size: 634 kB
Location: http://home.student.uu.se/dana3949/doodle/doodle-plastik-mac.jar



:::::::  3.  :::::::
name: Doodle (Classic) for PC
version: 1.5.4
preview image:
http://home.student.uu.se/dana3949/doodle/preview-classic-small.png
FF target version: 0.9
Size: 596 kB

Location: http://home.student.uu.se/dana3949/doodle/doodle-classic.jar



:::::::  4.  :::::::
name: Doodle (Classic) for Mac OS X
version: 1.5.4
preview image: http://home.student.uu.se/dana3949/doodle/preview-classic-small.png
FF target version: 0.9
Size: 596 kB

Location: http://home.student.uu.se/dana3949/doodle/doodle-classic-mac.jar




All descriptions can be found in each theme's install.rdf.
Comment 99 ormaxx 2004-06-26 11:19:01 PDT
* Theme name            708090
* Version number        1.4
* Skin version          1.5
* Release date          2004-06-12
* Author name           Roland Buehlmann
* E-mail address        bue.ro@gmx.ch
* URL to screenshot     http://www.ormaxx.ch/firefox/f1.png
* URL to theme homepage http://www.ormaxx.ch/stuff.php?nummer=3
* URL to .jar file      http://www.ormaxx.ch/firefox/708090_1.4.jar
* Size of .jar file     133 kb
* A good English description    A simple and flat theme.


* Theme name            708090-lite
* Version number        1.4
* Skin version          1.5
* Release date          2004-06-12
* Author name           Roland Buehlmann   
* E-mail address        bue.ro@gmx.ch
* URL to screenshot     http://www.ormaxx.ch/firefox/f2.png
* URL to theme homepage http://www.ormaxx.ch/stuff.php?nummer=3
* URL to .jar file      http://www.ormaxx.ch/firefox/708090-lite_1.4.jar
* Size of .jar file     133 kb
* A good English description    A simple and flat theme, a light grey
                                version of 708090.
Comment 100 RedFatLazyCat 2004-06-26 15:07:49 PDT
Author Name: Red_Fat_Lazy_Cat
E-Mail: redfatlazycat@bluecatsgraphics.com

Curacao theme is modified and now compatible with Firefox 0.9.1+, please update 
the file in your database, TIA.

Theme name: Curacao
Version: 1.02
Description: The exotic combination of blue and brown.
Homepage URL: http://www.bluecatsgraphics.com/

URL to the updated JAR:
http://www.bluecatsgraphics.com/bcgfft/ffmisc/files/curacao1_0.jar

URL to the screenshot (150x75):
http://www.bluecatsgraphics.com/bcgfft/ffmisc/curacao_mozupd.gif

Target Application Versions: Firefox 0.8-0.9.1+
Comment 101 Philip Mateescu 2004-06-27 17:07:44 PDT
Name: Copy URL+
version: 1.0
Author: Philip Mateescu (xbiker@yahoo.com)
Website: http://copyurlplus.mozdev.org

preview image:
http://copyurlplus.mozdev.org/img/menu.png

FF target version: 0.7-0.9
Size: 11 kB

Location:
http://downloads.mozdev.org/copyurlplus/copyurlplus-v1.0.xpi

Version: Mozilla Suite, Mozilla Firefox
Platforms: Windows, Linux
Description:
The Copy URL+ extension enables you to copy to the clipboard the current
document's address along with additional information such as the document's
title, the current selection or both.
You might find this behavior useful when you want to send (IM, email) an
interesting link to a friend and out of laziness convenience you don't want to
copy the link and an explanation of what the link is in a single step. The
explanation can be as short as the document's title or it can be a descriptive
text from the document.

supported languages: en-US
Comment 102 Geoff Smith 2004-06-28 17:18:29 PDT
Extension Name: StumbleUpon
Author Name: Geoff Smith
Author Email: geoff AT stumbleupon.com
Homepage: http://www.stumbleupon.com/
Description:  Lets you 'stumble upon' cool websites that have been highly
recommended (rated Great!) by friends and community members with interests
similar to your own.
target: Firefox 0.8-0.9, Mozilla 1.4-1.7
name: StumbleUpon
url: http://www.stumbleupon.com/stumbleupon.xpi
update url: http://www.stumbleupon.com/update.rdf
version: 1.992
Size: 71K
Comment 103 AlexIhrig 2004-06-29 05:38:03 PDT
Extension Name: MagicSLR
Version: 0.7.1
Author Name: Alexander Ihrig
Authors Email: thunder AT diepause DOT de
Homepage and Description with Screenshots:
http://www.thunderbird-mail.de/extensions/magicslr/index-en.php
Description:  Extended buttons and options to GET and SEND messages.
target: Thunderbird 0.7 and up
Size: 41 - 44K

url en-US version win/linux:
http://downloads.mozdev.org/gtl/extensions/magicslr/magicslr-0.7.1-qute-enUS.xpi

url en-US version mac:
http://downloads.mozdev.org/gtl/extensions/magicslr/magicslr-0.7.1-pinstripe-enUS.xpi

url de-DE version win/linux:
http://downloads.mozdev.org/gtl/extensions/magicslr/magicslr-0.7.1-qute-deDE.xpi

url de-DE version mac:
http://downloads.mozdev.org/gtl/extensions/magicslr/magicslr-0.7.1-pinstripe-deDE.xpi
Comment 104 Jawahar Swaminathan 2004-07-01 13:18:52 PDT
Extension Name: MSDbar
Author: Jawahar Swaminathan
E-mail: jawahar@ebi.ac.uk
Description: MSDbar is a toolbar for biologists and bioinformaticians providing
access to many databases related to Structures from the browser. 
HomePage: http://msdbar.mozdev.org
Target Applications:

firefox 0.7 - 0.9 : http://downloads.mozdev.org/msdbar/msdbar-firefox-v0.6.1.xpi

mozilla: 1.4 - 1.7: http://downloads.mozdev.org/msdbar/msdbar-v0.6.xpi

Supported Languages: en-US

Comment 105 alanjstr 2004-07-03 21:10:08 PDT
(In reply to comment #76)
> The home page for the Red Cats theme should be http://www.bluecatsgraphics.com/
> and *not* http://membres.lycos.fr/pcdingo/

We probably got the URL from the XPI.  I have updated it.  

(In reply to comment #75)
> What's going on with my themes? The two JARs seem to have completely been messed
> up! 

Are you saying the file we're listing is wrong?  

(In reply to comment #78)
> Author Name/E-Mail: Caio Chassot
> Extension's name/Version: BlankLast / 0.4
> Extension's name/Version: miniT (drag+indicator) / 0.2

I need URL's I can download to my computer, not just those I can install from.

(In reply to comment #90)
> MSDbar 0.6 
How about a download URL?

(In reply to comment #103)
> Extension Name: MagicSLR
Please combine your language packs into a single version.  We can't list
multiple languages yet.  Also, do you still want Qute?

I've downloaded all the remaining XPIs and JARs.  I'll post more information for
who needs to submit a new bug and whose have been added to the queue.
Comment 106 alanjstr 2004-07-03 21:25:20 PDT
The following are not acceptable because they have a maxVer that is greater that
0.9.1+.  Please file separate bugs when you have corrected your files.

Themes
Doodle*

Extensions
Download Manager
EditCSS
MagicSLR
WPE

Lopburi Flat is for TB, not Firefox.  Please put it on the appropriate bug.
Comment 107 alanjstr 2004-07-03 22:02:17 PDT
Plastikfox Crystal SVG does not seem to work cleanly.  When I use it, it removes
my tabs.  Please submit a new bug once you have that issue resolved.
Comment 108 alanjstr 2004-07-03 22:23:26 PDT
The following themes have been added to the queue.  If your theme was somewhere
on this bug and you neither see it listed on the site, nor in this list, please
file a separate bug.

Silverskin_2.1.jar
graymodern0.5.1.jar
curacao1_0_1.02.jar
Noia2_FX_0.9_Yop_2004-06-13.jar
Comment 109 alanjstr 2004-07-03 22:39:32 PDT
The following extensions have been added/updated with the queue.  Deal with it.

close-tab-on-dblclick-0.1.1.xpi
duplicatetab-0.2.xpi
javaconsole_03.xpi
makelink.xpi
slogger.xpi

If you weren't added, and can't figure out why, file a new bug; this one is closed.
Comment 110 Wolf [:wolf] 2004-07-03 23:53:50 PDT
Verified.
Comment 111 Pascal Guimier 2004-07-17 15:42:52 PDT
(In reply to comment #109)

> If you weren't added, and can't figure out why, file a new bug; this one is
closed.

Pascal Guimier / talou@timot.net

EditCSS / 0.2.1b
tylesheet modifier in the Sidebar.
http://editcss.mozdev.org
http://downloads.mozdev.org/editcss/editcss0.2.1b.xpi

Target : Firefox 0.9 to 0.9.1+
Comment 112 alanjstr 2004-07-17 15:45:58 PDT
I asked you to file a new bug.  You even quoted me.  This one is done and I will
not work from it.
Comment 113 Andy Lanzone 2004-07-19 13:15:07 PDT
Author Name:  andman42
E-Mail:       the_andman@hotmail.com
Extension:    Download Manager Tweak
Version:      0.5.0
Description:  A modification of the Firefox download manager that changes its
appearance and allows it to be opened in a separate window, a new tab, or the
sidebar.
Homepage URL: http://dmextension.mozdev.org/
URL to XPI:   http://downloads.mozdev.org/dmextension/downloadmgr_050.xpi
Target App:   Firefox 0.9
Comment 114 Eelco van Kuik 2004-07-26 03:41:47 PDT
Created attachment 154349 [details]
NeedleSearch Toolbar version 2.5

NeedleSearch Toolbar version 2.5 enables everybody to create his or her own
list with search engines.
Comment 115 Fabien Filhol 2004-08-10 02:20:01 PDT
Hi,

Author Name : Fabien Filhol
E-Mail : wizwiz50@yahoo.fr

Extension's name/Version : TabSwitcher 1.0

Description : This extension allows you to switch between tabs with Ctrl+Left or
Ctrl+Right.

Homepage URL : http://tabswitcher.mozdev.org
URL to the XPI : http://downloads.mozdev.org/tabswitcher/tabswitcher10.xpi

Target Application Versions : Firefox 0.9+

Thank you.
Comment 116 Mauro Bartoccelli 2004-09-17 05:14:31 PDT
Hi there, this is 2.5 version of my Silver Skin theme updated for Firefox 1.0 PR.

Please, test :-)


Author name: Mauro Bartoccelli

Author website: http://www.maurobartoccelli.com/silverskin/

URL to the JAR file:
http://www.maurobartoccelli.com/silverskin/Silverskin_2.5.jar

URL to screenshot: http://www.maurobartoccelli.com/silverskin/silverskin2.5.png

Intended for Windows OS


<Description about="urn:mozilla:install-manifest">
    <em:id>{2A10B180-05EF-11D9-8C50-444553540001}</em:id>
    <em:version>2.5</em:version>

    <!-- Target Application this extension can install into,
         with minimum and maximum supported versions. -->
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>0.9</em:minVersion>
        <em:maxVersion>1.0+</em:maxVersion>
      </Description>
    </em:targetApplication>

    <!-- Front End MetaData -->
    <em:name>Silver Skin</em:name>
    <em:description>Silver Skin 2.5 - Your favourite browser with a silver skin
(With the Qute icons by Arvid Axelsson)</em:description>
    <em:creator>Mauro Bartoccelli</em:creator>
    <em:homepageURL>http://www.maurobartoccelli.com/silverskin/</em:homepageURL>

    <!-- Front End Integration Hooks (used by Theme Manager)-->
    <em:internalName>Silverskin_2.5</em:internalName>
  </Description>
Comment 117 Bernie Zimmermann 2004-09-27 13:19:37 PDT
I have updated the GrayModern theme to work with Firefox 1.0PR.  Please update
my theme's listing on u.m.o.  Please also be sure to add the preview image (link
included below).  Thanks!

Author:  Bernie Zimmermann
Email:  mozilla [at] bernzilla [dot] com
Theme:  GrayModern v0.6
Description:  A port of the GrayModern theme from the Mozilla Suite.
Homepage URL:  http://www.bernzilla.com/
Jar Location:  http://www.finalstar.com/grayfox/graymodern0.6.jar
Target Versions:  v0.9+ - v1.0

Preview Image (for website):  http://www.finalstar.com/grayfox/preview.png
Comment 118 Andreas Mosimann 2004-10-10 12:54:37 PDT
Firefox Theme

Author Name: Andreas Mosimann
E-mail: fireworld@amosi.ch
Theme's name: Fireworld
Version: 0.3
Description: World buttons with fire signs
Homepage URL: http://www.amosi.ch/firefox/
URL to the updated JAR: http://www.amosi.ch/firefox/fireworld.jar
Preview image: http://www.amosi.ch/firefox/fireworld.png
Size: 383 KB
Target Application Versions:
<em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
<em:minVersion>0.8</em:minVersion>
<em:maxVersion>1.0</em:maxVersion>
Comment 119 alanjstr 2004-10-10 17:42:11 PDT
This bug is closed.  Anything added to it will be ignored.  Please read teh
comments near the end, or the Status Whiteboard.
Comment 120 Wolf [:wolf] 2004-10-10 18:31:00 PDT
To prevent any more rude comments like Comment #119. Here's instructions on how
to get things listed the right way. :-)

To have your extension or theme listed:
(1) File a new bug.. in the mozilla.org product / update  component. 
(2) Title your bug something indicates you wanna add a new extension or theme.
    "Add Extension: My Extension Name"
(3) Make sure you specifiy your name/e-mail if its diffeernt from your bugzilla
account. Along with the Version of your extension, an link to the XPI or JAR
file (on your own webspace, not attached to the bug please) and what
applications it works with, particularly if it's Mozilla 1.x Compatible.
If the description is different than what's in your install.rdf, note this in an
obvious way too.
(4) Submit the bug.. and wait for it to be reassigned by me or an editor to an
editor for processing.. Once its reassigned, respond quickly to any reqests for
additional info.
(5) When the file has been tested and added to the queue for approval. an editor
will add "In Queue" to the bugs status whiteboard. This may take several days as
the editors are all volunteers with varyingly busy schedules.
(6) The file will be approved and the bug will be resolved as fixed. Reopen the
bug (and clear the status whiteboard) for updates. 

This process will change when the Developer Control Panel is online. but till
then, this is what we do.



Comment 121 alanjstr 2004-10-10 22:28:55 PDT
(In reply to comment #120)
> To prevent any more rude comments like Comment #119. Here's instructions on how
> to get things listed the right way. :-)

Telling people to READ THE BUG TEXT is normal bugzilla behavior.  Quit calling
me rude, dumb, or whatever it is you think I am and just ignore me.  If you feel
like posting "Here's how to submit your extension" ever time someone responds to
this, then feel free to reassign it to yourself.
Comment 122 Michael Morgan [:morgamic] 2006-06-22 13:19:13 PDT
AMO BUGSPAM FOR COMPONENT MOVE AND DELETE (FILTER ME)

Note You need to log in before you can comment on or make changes to this bug.